curl -X POST https://batchrelay-api-staging.up.railway.app/v1/providers/compatibility \
-H 'Authorization: Bearer br_test_example' \
-H 'Content-Type: application/json' \
-d '{
"provider_id": "whcc",
"order": {
"schema_version": 1,
"environment": "sandbox",
"external_order_id": "weekend-test-001",
"customer": { "email": "parent@example.com" },
"ship_to": { "name": "Parent", "address_1": "123 Main St", "city": "Eagan", "state": "MN", "postal_code": "55121", "country": "US", "phone": "+16516468263" },
"ship_from": { "name": "Studio", "address_1": "456 Studio Ave", "city": "Eagan", "state": "MN", "postal_code": "55121", "country": "US", "phone": "+16516468263" },
"shipping_service": "economy",
"items": [{
"product": { "id": "print-5x7", "revision": 1 },
"quantity": 1,
"assets": [{ "role": "artwork", "url": "https://assets.example.com/5x7.jpg", "pixel_width": 1500, "pixel_height": 2100, "file_size_bytes": 240000, "format": "jpeg" }]
}]
}
}'